Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class Entry

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `CacheEntry` | `cachedMethod` |
    `CacheEntry` | `cachedMethodForSuper` |
    `CacheEntry` | `cachedStaticMethod` |
    `Class` | `cls` |
    `int` | `hash` |
    `Object` | `methods` |
    `Object` | `methodsForSuper` |
    `String` | `name` |
    `Entry` | `nextClassEntry` |
    `Entry` | `nextHashEntry` |
    `Object` | `staticMethods` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public CacheEntry cachedMethod

    - #### public CacheEntry cachedMethodForSuper

    - #### public CacheEntry cachedStaticMethod

    - #### public Class cls

    - #### public int hash

    - #### public Object methods

    - #### public Object methodsForSuper

    - #### public String name

    - #### public Entry nextClassEntry

    - #### public Entry nextHashEntry

    - #### public Object staticMethods

  - ### Method Detail

    - #### public String toString()